<?php
/**
 * Email Header
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/addify/rfq/emails/email-header.php.
 *
 * HOWEVER, on occasion addify will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates\Emails
 * @version 4.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
		<title><?php echo esc_html( get_bloginfo( 'name', 'display' ) ); ?></title>
	</head>
	<body <?php echo is_rtl() ? 'rightmargin' : 'leftmargin'; ?>="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
		<div id="wrapper" dir="<?php echo is_rtl() ? 'rtl' : 'ltr'; ?>">
			<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
				<tr>
					<td align="center" valign="top">
						<div id="template_header_image">
							<?php
							$img = get_option( 'woocommerce_email_header_image' );
							$header_color = get_option( 'woocommerce_email_base_color', '#fff' ); 
							$header_background_color = get_option( 'woocommerce_email_background_color', '#7f54b3' );
							if ( $img ) {
								echo wp_kses_post( '<p style="margin-top:0;"><img src="' . esc_url( $img ) . '" alt="' . esc_html( get_bloginfo( 'name', 'display' ) ) . '" /></p>' );
							}
							?>
						</div>
						<table border="0" cellpadding="0" cellspacing="0" width="800" id="template_container">
							<tr style="background: <?php echo !empty($header_background_color) ? esc_html($header_background_color) : '#7f54b3'; ?>; color: <?php echo !empty($header_color) ? esc_html( $header_color ) : '#fff'; ?>;">
								<td align="center" valign="top" style="padding: 14px 15px;">
									<!-- Header -->
									<table border="0" cellpadding="0" cellspacing="0" width="100%" id="template_header">
										<tr>
											<td id="header_wrapper">
												<h1 style="margin: 0;font-size: 22px;line-height: 32px;"><?php echo esc_html( $email_heading ); ?></h1>
											</td>
										</tr>
									</table>
									<!-- End Header -->
								</td>
							</tr>
							<tr>
								<td align="center" valign="top">
									<!-- Body -->
									<table border="0" cellpadding="0" cellspacing="0" width="800" id="template_body" >
										<tr>
											<td valign="top" id="body_content">
												<!-- Content -->
												<table border="0" cellpadding="20" cellspacing="0" width="100%">
													<tr>
														<td valign="top" style="border: 1px solid #d3d3d34d;">
															<div id="body_content_inner">
